package com.zoniot.ccrc.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class BuildingSelectInfoDto {
    @ApiModelProperty(value = "id", position = 1)
    private Integer id;

    @ApiModelProperty(value = "建筑名称", position = 2)
    private String name;

    @ApiModelProperty(value = "省", position = 3)
    private Integer province;

    @ApiModelProperty(value = "市", position = 4)
    private Integer city;

    @ApiModelProperty(value = "区", position = 5)
    private Integer region;

    @ApiModelProperty(value = "小区", position = 6)
    private Integer community;

    @ApiModelProperty(value = "设备数量统计", position = 7)
    private Integer deviceCount = 0;

    @ApiModelProperty(value = "经度", position = 8)
    private Double longitude;

    @ApiModelProperty(value = "纬度", position = 9)
    private Double latitude;
}
