package com.zoniot.ccrc.dto;

import com.zoniot.ccrc.entity.WarningLog;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class WarningLogDto extends WarningLog {

    @ApiModelProperty(value="客户编号", position = 101)
    private String accountNumber;

    @ApiModelProperty(value="客户名称", position = 102)
    private String accountName;

    @ApiModelProperty(value="客手机号", position = 103)
    private String accountPhone;

    @ApiModelProperty(value = "设备编号", position = 104)
    private String deviceNo;

    @ApiModelProperty(value = "水表电子号", position = 105)
    private String waterMeterNo;

    @ApiModelProperty(value = "系列", position = 106)
    private String equipmentType;

    @ApiModelProperty(value = "型号", position = 107)
    private String model;

    @ApiModelProperty(value = "厂商名称", position = 108)
    private String manufacturerName;

    @ApiModelProperty(value = "位置描述", position = 109)
    private String locDesc;
    private String meterCode;
}
