package com.zoniot.ccrc.service;

import java.util.List;

import com.zoniot.ccrc.commom.model.DeviceData;
import com.zoniot.ccrc.commom.model.Pagination;
import com.zoniot.ccrc.dto.BuildingSelectDto;
import com.zoniot.ccrc.dto.DeviceDto;
import com.zoniot.ccrc.entity.Device;

import javax.servlet.http.HttpServletResponse;

public interface DeviceService{


    int insertSelective(Device record);

    int updateByPrimaryKeySelective(Device record);

    int updateBatch(List<Device> list);

    int batchInsert(List<Device> list);

    Pagination<DeviceDto> pageList(Integer sysId, Integer deviceTypeId, Integer orgId, Integer province, Integer city, Integer region, Integer communityId, Integer buildingId, String deviceNo, String clientName, String locDesc, Integer status, Integer valveStatus, String sortColumn, String sortOrder, int pageNum, int pageSize);

    void getDeviceListExcel(Integer sysId, Integer deviceTypeId, Integer orgId, Integer province, Integer city, Integer region, Integer communityId, Integer buildingId, String deviceNo, String clientName, String locDesc, Integer status, Integer valveStatus, String sortColumn, String sortOrder, HttpServletResponse httpServletResponse);

    List<BuildingSelectDto> deviceAreaList(Integer sysId, Integer deviceTypeId, Integer orgId, Integer province, Integer city, Integer region, Integer communityId, Integer buildingId, String deviceNo, String clientName, String locDesc, Integer status, Integer valveStatus);

    void syncDevice(DeviceData deviceData);

    DeviceDto deviceDetailV2(Long deviceId);
}
