package com.zoniot.ccrc.dto;

import com.zoniot.ccrc.entity.Site;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
public class SiteDto extends Site {

    @ApiModelProperty("用户id")
    private List<Integer> userIds;

    @ApiModelProperty(value = "用户名称", hidden = true)
    private String username;


    @ApiModelProperty(value = "权限id",position = 101)
    private List<Integer> permissionIds;

}
